.oneline-text {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    text-overflow: ellipsis;
}

.twoline-text {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
}

.object-fit-cvr {
    object-fit: cover;
}

.responsive-iframe {
    position: relative;
    padding-bottom: 56.25%;
    /* 16:9 aspect ratio */
    height: 0;
    overflow: hidden;
}

.responsive-iframe iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 16px;
}

/* Gaya tambahan untuk peramban Android */
/* input[type="date"] {
    -webkit-appearance: listbox;
    display: flex;
    align-items: center;
} */

.img-broadcast img {
    width: 100% !important;
    height: 100% !important;
}

.img-broadcast p {
    margin-bottom: 0px !important;
}

.visible-slider {
    padding-right: 60px !important;
}

.search-box {
    position: relative;
    line-height: 50px;
    border: solid 1px rgba(0, 0, 0, .08);
}

.search-box .fa-search {
    position: absolute;
    left: 0;
    line-height: 52px;
    padding: 0 15px;
}

.search-box input {
    outline: 0 !important;
    width: 100%;
    background-color: transparent;
    padding-left: 40px;
    line-height: 45px;
}